Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 521860 - Wrong init script exit status code
Summary: Wrong init script exit status code
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan F. Chadima
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 539457
TreeView+ depends on / blocked
 
Reported: 2009-09-08 14:40 UTC by Eduard Benes
Modified: 2010-05-28 14:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 539457 (view as bug list)
Environment:
Last Closed: 2010-05-28 14:28:16 UTC
Type: ---


Attachments (Terms of Use)

Description Eduard Benes 2009-09-08 14:40:13 UTC
Description of problem:
Testing init script according to guidelines at [1] shows following results:
Wrong value to indicate status ->  "program is dead and /var/lock lock file exists". This should return exit status code 2(dead & lock), not 3(dead).

# ll /var/lock/subsys/sshd 
-rw-r--r--. 1 root root 0 2009-09-08 08:55 /var/lock/subsys/sshd
# service sshd status ; echo $?
openssh-daemon is stopped
3

Version-Release number of selected component (if applicable):
openssh-server-5.2p1-23.fc12

Actual results:
RC -> 3

Expected results:
RC -> 2

Additional info:
[1] - https://fedoraproject.org/wiki/FCNewInit/Initscripts

Comment 1 Jan F. Chadima 2009-09-24 12:37:37 UTC
Repaired

Comment 2 Bug Zapper 2009-11-16 12:03:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.